Subject: <draft-ietf-6man-rfc2460bis-03.txt>

From: Bob Hinden <[email-masked]>
Date: Fri, 22 Jan 2016 09:08:41 -0800

Hi,

I published the -03 version of 6man working group draft of rfc2460bis.  Links below.

The changes include:

      Clarified the text about decrementing the hop limit as discussed on the list.

      Removed "IP Next Generation" from the Abstract.

      Add a reference to the end of Section 4 to the IPv6 Extension
      Header IANA registry.

      Editorial changes.

A diff from the -02 version can be found at:

https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc2460bis-03

Please review the changes.

This is part of the project to move the core IPv6 specifications to Internet Standard.

Thanks,
Bob

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the IPv6 Maintenance Working Group of the IETF.
> 
>        Title           : Internet Protocol, Version 6 (IPv6) Specification
>        Authors         : Stephen E. Deering
>                          Robert M. Hinden
> 	Filename        : draft-ietf-6man-rfc2460bis-03.txt
> 	Pages           : 37
> 	Date            : 2016-01-22
> 
> Abstract:
>   This document specifies version 6 of the Internet Protocol (IPv6).
>   It obsoletes RFC2460
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-6man-rfc2460bis/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-6man-rfc2460bis-03
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc2460bis-03
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Fri, 22 Jan 2016 19:22:16 +0000

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Bob Hinden

> https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc2460bis-03

Bob,

Did we decide to not include anything about byte transmission order, along the lines of RFC 791 Appendix B?

Thanks.

Bert

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 23 Jan 2016 10:55:46 +1300

On 23/01/2016 08:22, Manfredi, Albert E wrote:
...
> Did we decide to not include anything about byte transmission order, along the lines of RFC 791 Appendix B?

It's there:

   The data transmission order for IPv6 is the same as for IPv4 as
   defined in Appendix B of [RFC0791].

 Brian

---

From: Fernando Gont <[email-masked]>
Date: Fri, 22 Jan 2016 19:11:32 -0300

>    defined in Appendix B of [RFC0791].

(without looking at the relevant rfcs):
Why not deine that in this very rfc? Otherwise this would be kind of a
normative reference to ipv4 in an ipv6 std...

Thanks,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: "weigengyu" <[email-masked]>
Date: Sat, 30 Jan 2016 01:24:31 +0800

Hi Fernando,

One suggestion.
This draft should add some decriptions about DAD process.

In RFC7217, "
5.4. Duplicate Address Detection
Duplicate Address Detection MUST be performed on all unicast
addresses prior to assigning them to an interface, regardless of
whether they are obtained through stateless autoconfiguration,
DHCPv6, or manual configuration, with the following exceptions

It should also be noted that Duplicate Address Detection must be
performed prior to assigning an address to an interface in order to
prevent multiple nodes from using the same address simultaneously. "

If a node returns back into a network and trys to use the already existed 
stable address,
because the IPv6 address is not tentative, DAD process will not run.
IPv6 address confilts may occurr.
In order to prevent from this, it is required to do DAD process.

It seems that the existing IPv6 addresses must be tentative when new IPv6 
address becomes prefered.
The node will have to do DAD process the same as accessing a new network.

Or, the node must do DAD process when changing the accessing networks.
Right?

Regards,

Gengyu WEI
Network Technology Center
School of Computer
Beijing University of Posts and Telecommunications
-----原始邮件----- 
From: Fernando Gont
Sent: Saturday, January 23, 2016 6:11 AM
To: Brian E Carpenter ; Manfredi, Albert E ; Bob Hinden ; IPv6 List
Subject: Re:

Thanks,

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------